/*
 * @file
 * Stack layout component styles.
 * See https://every-layout.dev/layouts/stack/ for more information
 */
[class*=l-stack] > * {
  margin-top: 0;
  margin-bottom: 0;
}

[class*=l-stack] > * + * {
  margin-top: var(--space-gap-y);
}

.l-stack--ruled > * + * {
  padding-top: var(--space-gap-y);
  border-top: 1px solid var(--color-border);
  border-top: var(--size-border, 1px) var(--style-border, solid) var(--color-border);
}

.l-stack--none > * + * {
  margin-top: 0;
}

.l-stack--minimal > * + * {
  margin-top: 12px;
}

.l-stack--tight > * + * {
  margin-top: 15px;
}

.l-stack--compact > * + * {
  margin-top: 30px;
}

.l-stack--normal > * + * {
  margin-top: 48px;
}

.l-stack--loose > * + * {
  margin-top: 60px;
}

.l-stack--sparse > * + * {
  margin-top: 90px;
}

/**
 No margin following contextual links
 */
[class*=l-stack] > .contextual {
  margin-top: 0;
}

[class*=l-stack] > .contextual:first-child + * {
  margin-top: 0;
}

/**
  Allows aligning splitting elements to align some to the bottom,
  This can be acheived by giving a child element margin-top: auto.
  We don't enable this on every stack because child elements can
  not be floated inside a flexed container.
 */
.l-stack--split {
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
  -webkit-box-pack: start;
          justify-content: flex-start;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImdsb2JhbC9sYXlvdXQvc3RhY2suc2NzcyIsImdsb2JhbC9sYXlvdXQvc3RhY2suY3NzIl0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiJBQUFBOzs7O0VBQUE7QUFLQTtFQUNFLGFBQUE7RUFDQSxnQkFBQTtBQ0NGOztBREVBO0VBQ0UsOEJBQUE7QUNDRjs7QURFQTtFQUNFLCtCQUFBO0VBQ0EseUNBQUE7RUFBQSxrRkFBQTtBQ0NGOztBREVBO0VBQ0UsYUFBQTtBQ0NGOztBREVBO0VBQ0UsZ0JBQUE7QUNDRjs7QURFQTtFQUNFLGdCQUFBO0FDQ0Y7O0FERUE7RUFDRSxnQkFBQTtBQ0NGOztBREVBO0VBQ0UsZ0JBQUE7QUNDRjs7QURFQTtFQUNFLGdCQUFBO0FDQ0Y7O0FERUE7RUFDRSxnQkFBQTtBQ0NGOztBREVBOztFQUFBO0FBR0E7RUFDRSxhQUFBO0FDQ0Y7O0FERUE7RUFDRSxhQUFBO0FDQ0Y7O0FERUE7Ozs7O0VBQUE7QUFNQTtFQUNFLG9CQUFBO0VBQUEsYUFBQTtFQUNBLDRCQUFBO0VBQUEsNkJBQUE7VUFBQSxzQkFBQTtFQUNBLHVCQUFBO1VBQUEsMkJBQUE7QUNDRiIsImZpbGUiOiJnbG9iYWwvbGF5b3V0L3N0YWNrLmNzcyIsInNvdXJjZXNDb250ZW50IjpbIi8qXG4gKiBAZmlsZVxuICogU3RhY2sgbGF5b3V0IGNvbXBvbmVudCBzdHlsZXMuXG4gKiBTZWUgaHR0cHM6Ly9ldmVyeS1sYXlvdXQuZGV2L2xheW91dHMvc3RhY2svIGZvciBtb3JlIGluZm9ybWF0aW9uXG4gKi9cbltjbGFzcyo9XCJsLXN0YWNrXCJdID4gKiB7XG4gIG1hcmdpbi10b3A6IDA7XG4gIG1hcmdpbi1ib3R0b206IDA7XG59XG5cbltjbGFzcyo9XCJsLXN0YWNrXCJdID4gKiArICoge1xuICBtYXJnaW4tdG9wOiB2YXIoLS1zcGFjZS1nYXAteSk7XG59XG5cbi5sLXN0YWNrLS1ydWxlZCA+ICogKyAqIHtcbiAgcGFkZGluZy10b3A6IHZhcigtLXNwYWNlLWdhcC15KTtcbiAgYm9yZGVyLXRvcDogdmFyKC0tc2l6ZS1ib3JkZXIsIDFweCkgdmFyKC0tc3R5bGUtYm9yZGVyLCBzb2xpZCkgdmFyKC0tY29sb3ItYm9yZGVyKTtcbn1cblxuLmwtc3RhY2stLW5vbmUgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDA7XG59XG5cbi5sLXN0YWNrLS1taW5pbWFsID4gKiArICoge1xuICBtYXJnaW4tdG9wOiAxMnB4O1xufVxuXG4ubC1zdGFjay0tdGlnaHQgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDE1cHg7XG59XG5cbi5sLXN0YWNrLS1jb21wYWN0ID4gKiArICoge1xuICBtYXJnaW4tdG9wOiAzMHB4O1xufVxuXG4ubC1zdGFjay0tbm9ybWFsID4gKiArICoge1xuICBtYXJnaW4tdG9wOiA0OHB4O1xufVxuXG4ubC1zdGFjay0tbG9vc2UgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDYwcHg7XG59XG5cbi5sLXN0YWNrLS1zcGFyc2UgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDkwcHg7XG59XG5cbi8qKlxuIE5vIG1hcmdpbiBmb2xsb3dpbmcgY29udGV4dHVhbCBsaW5rc1xuICovXG5bY2xhc3MqPVwibC1zdGFja1wiXSA+IC5jb250ZXh0dWFsIHtcbiAgbWFyZ2luLXRvcDogMDtcbn1cblxuW2NsYXNzKj1cImwtc3RhY2tcIl0gPiAuY29udGV4dHVhbDpmaXJzdC1jaGlsZCArICoge1xuICBtYXJnaW4tdG9wOiAwO1xufVxuXG4vKipcbiAgQWxsb3dzIGFsaWduaW5nIHNwbGl0dGluZyBlbGVtZW50cyB0byBhbGlnbiBzb21lIHRvIHRoZSBib3R0b20sXG4gIFRoaXMgY2FuIGJlIGFjaGVpdmVkIGJ5IGdpdmluZyBhIGNoaWxkIGVsZW1lbnQgbWFyZ2luLXRvcDogYXV0by5cbiAgV2UgZG9uJ3QgZW5hYmxlIHRoaXMgb24gZXZlcnkgc3RhY2sgYmVjYXVzZSBjaGlsZCBlbGVtZW50cyBjYW5cbiAgbm90IGJlIGZsb2F0ZWQgaW5zaWRlIGEgZmxleGVkIGNvbnRhaW5lci5cbiAqL1xuLmwtc3RhY2stLXNwbGl0IHtcbiAgZGlzcGxheTogZmxleDtcbiAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAganVzdGlmeS1jb250ZW50OiBmbGV4LXN0YXJ0O1xufVxuIiwiLypcbiAqIEBmaWxlXG4gKiBTdGFjayBsYXlvdXQgY29tcG9uZW50IHN0eWxlcy5cbiAqIFNlZSBodHRwczovL2V2ZXJ5LWxheW91dC5kZXYvbGF5b3V0cy9zdGFjay8gZm9yIG1vcmUgaW5mb3JtYXRpb25cbiAqL1xuW2NsYXNzKj1sLXN0YWNrXSA+ICoge1xuICBtYXJnaW4tdG9wOiAwO1xuICBtYXJnaW4tYm90dG9tOiAwO1xufVxuXG5bY2xhc3MqPWwtc3RhY2tdID4gKiArICoge1xuICBtYXJnaW4tdG9wOiB2YXIoLS1zcGFjZS1nYXAteSk7XG59XG5cbi5sLXN0YWNrLS1ydWxlZCA+ICogKyAqIHtcbiAgcGFkZGluZy10b3A6IHZhcigtLXNwYWNlLWdhcC15KTtcbiAgYm9yZGVyLXRvcDogdmFyKC0tc2l6ZS1ib3JkZXIsIDFweCkgdmFyKC0tc3R5bGUtYm9yZGVyLCBzb2xpZCkgdmFyKC0tY29sb3ItYm9yZGVyKTtcbn1cblxuLmwtc3RhY2stLW5vbmUgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDA7XG59XG5cbi5sLXN0YWNrLS1taW5pbWFsID4gKiArICoge1xuICBtYXJnaW4tdG9wOiAxMnB4O1xufVxuXG4ubC1zdGFjay0tdGlnaHQgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDE1cHg7XG59XG5cbi5sLXN0YWNrLS1jb21wYWN0ID4gKiArICoge1xuICBtYXJnaW4tdG9wOiAzMHB4O1xufVxuXG4ubC1zdGFjay0tbm9ybWFsID4gKiArICoge1xuICBtYXJnaW4tdG9wOiA0OHB4O1xufVxuXG4ubC1zdGFjay0tbG9vc2UgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDYwcHg7XG59XG5cbi5sLXN0YWNrLS1zcGFyc2UgPiAqICsgKiB7XG4gIG1hcmdpbi10b3A6IDkwcHg7XG59XG5cbi8qKlxuIE5vIG1hcmdpbiBmb2xsb3dpbmcgY29udGV4dHVhbCBsaW5rc1xuICovXG5bY2xhc3MqPWwtc3RhY2tdID4gLmNvbnRleHR1YWwge1xuICBtYXJnaW4tdG9wOiAwO1xufVxuXG5bY2xhc3MqPWwtc3RhY2tdID4gLmNvbnRleHR1YWw6Zmlyc3QtY2hpbGQgKyAqIHtcbiAgbWFyZ2luLXRvcDogMDtcbn1cblxuLyoqXG4gIEFsbG93cyBhbGlnbmluZyBzcGxpdHRpbmcgZWxlbWVudHMgdG8gYWxpZ24gc29tZSB0byB0aGUgYm90dG9tLFxuICBUaGlzIGNhbiBiZSBhY2hlaXZlZCBieSBnaXZpbmcgYSBjaGlsZCBlbGVtZW50IG1hcmdpbi10b3A6IGF1dG8uXG4gIFdlIGRvbid0IGVuYWJsZSB0aGlzIG9uIGV2ZXJ5IHN0YWNrIGJlY2F1c2UgY2hpbGQgZWxlbWVudHMgY2FuXG4gIG5vdCBiZSBmbG9hdGVkIGluc2lkZSBhIGZsZXhlZCBjb250YWluZXIuXG4gKi9cbi5sLXN0YWNrLS1zcGxpdCB7XG4gIGRpc3BsYXk6IGZsZXg7XG4gIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbn0iXX0= */
